# GDPR Cookie Compliance

*  GDPR is an EU wide legislation that specifies how user data should be handled. This plugin has settings that can assist you with GDPR cookie compliance requirements. 

### What is GDPR?

* General Data Protection Regulation (GDPR) is a European regulation to strengthen and unify the data protection of EU citizens. (<a href="https://www.eugdpr.org/" target="_blank">https://www.eugdpr.org/</a>)

### GDPR and Cookie Compliance

* GDPR states that as a website owner, you cannot assume a user has opted into the cookies being used on your website -  the user must give a positive opt in or "affirmative action" to signal their consent to the use of cookies and you also cannot force users to opt into the use of cookies.

* Users who do not give consent should have the same experience of your website as those who give consent, which means you have to provide the same level of service and experience to those who do not accept the cookies.

* Consent will need to be specific to the different cookie purposes with the ability to enable and disable cookies at a granular level for each cookie.

* It also means that you should not be tracking users on your website with tools such as Google Analytics until they give you a specific permission to do so.

### How this plugin works 

* This plugin is designed to help you prepare your website for the GDPR regulations related to cookies but IT WILL NOT MAKE IT FULLY COMPLIANT - this plugin is just a template and needs to be setup by your developer in order to work properly.

* Once installed, the plugin gives you a template that you can customise; you can modify all text and colours to suit your needs.

* You can also allow users to enable and disable cookies on your site, however, this will require bespoke development work as every site is unique and uses different cookies.

### Demo Video 

* You can view a demo of the plugin here: <a href="https://vimeo.com/255655268/" target="_blank">GDPR Cookie Compliance Plugin by Moove Agency</a> 

### Disclaimer

* Please note, it is possible that you will see a drop of perceived traffic and visitor numbers in your various analytics such as Google Analytics. This is because GDPR legislations state that you cannot track users unless they explicitly give consent by enabling the 3rd party tracking and cookies.

* This plugin will require technical support from your developer to ensure that it is implemented correctly on your website.

* This is a general plugin with basic functionality. We advise that you to seek independent legal advice on this topic.

* THIS PLUGIN DOES NOT MAKE YOUR WEBSITE COMPLIANT. YOU ARE RESPONSIBLE FOR ENSURING THAT ALL GDPR REQUIREMENTS ARE MET ON YOUR WEBSITE.


### Contributors

*  This plugin was developed by <a href="https://www.mooveagency.com/" target="_blank">Moove Agency</a>.
