<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * Moove_GDPR_Content File Doc Comment
 *
 * @category Moove_GDPR_Content
 * @package   moove-gdpr-tracking
 * @author    Gaspar Nemes
 */

load_textdomain( 'moove-gdpr', plugins_url( __FILE__ ) . DIRECTORY_SEPARATOR . 'languages' );

/**
 * Moove_GDPR_Content Class Doc Comment
 *
 * @category Class
 * @package  Moove_Controller
 * @author   Gaspar Nemes
 */
class Moove_GDPR_Content {
	/**
	 * Construct
	 */
	function __construct() {
		$this->moove_register_content_elements();
	}
	/**
	 * Register actions
	 *
	 * @return void
	 */
	function moove_register_content_elements() {

	}

	/**
	 * Privacy Overview Tab Content
	 * @return string Filtered Content
	 */
	function moove_gdpr_get_privacy_overview_content() {
		$_content   = "<p>This website uses cookies so that we can provide you with the best user experience possible. Cookie information is stored in your browser and performs functions such as recognising you when you return to our website and helping our team to understand which sections of the website you find most interesting and useful.</p><p>You can adjust all of your cookie settings by navigating the tabs on the left hand side.</p>";
		return apply_filters( 'the_content', $_content );
	}

	/**
	 * Strict Necessary Tab Content
	 * @return string Filtered Content
	 */
	function moove_gdpr_get_strict_necessary_content() {
		$_content   = "<p>Strictly Necessary Cookie should be enabled at all times so that we can save your preferences for cookie settings.</p>";
		return apply_filters( 'the_content', $_content );
	}

	/**
	 * Strict Necessary Warning Message
	 * @return string Filtered Content
	 */
	function moove_gdpr_get_strict_necessary_warning() {
		$_content   = "If you disable this cookie, we will not be able to save your preferences. This means that every time you visit this website you will need to enable or disable cookies again.";
		return $_content;
	}

	/**
	 * Advanced Cookies Tab Content
	 * @return string Filtered Content
	 */
	function moove_gdpr_get_advanced_cookies_content() {
		$_content   = "<p>This website uses the following additional cookies:</p><p>(List the cookies that you are using on the website here.)</p>";
		return apply_filters( 'the_content', $_content );
	}

	/**
	 * Third Party Cookies Tab Content
	 * @return string Filtered Content
	 */
	function moove_gdpr_get_third_party_content() {
		$_content   = "<p>This website uses Google Analytics to collect anonymous information such as the number of visitors to the site, and the most popular pages.</p><p>Keeping this cookie enabled helps us to improve our website.</p>";
		return apply_filters( 'the_content', $_content );
	}

	/**
	 * Cookie Policy Tab Content
	 * @return string Filtered Content
	 */
	function moove_gdpr_get_cookie_policy_content() {
		$_content   = "<p>More information about our <a href='#' target='_blank'>Cookie Policy</a></p>";
		return apply_filters( 'the_content', $_content );
	}

}
new Moove_GDPR_Content();
