<?php
    $option_name    = 'moove_gdpr_plugin_settings';
    $gdpr_options   = get_option( $option_name );
    $gdpr_options   = is_array( $gdpr_options ) ? $gdpr_options : array();
    if ( isset( $_POST ) && $_POST['moove_gdpr_nonce'] ) :
        $nonce = sanitize_key( $_POST['moove_gdpr_nonce'] );
        if ( ! wp_verify_nonce( $nonce, 'moove_gdpr_nonce_field' ) ) :
            die( 'Security check' );
        else :
            if ( is_array( $_POST ) ) :
                $empty_scripts = false;
                if ( isset( $_POST['moove_gdpr_advanced_cookies_enable'] ) && intval( $_POST['moove_gdpr_advanced_cookies_enable'] ) === 1 ) :
                    $value  = 1;
                else :
                    $value  = 0;
                endif;
                if ( $value === 1 ) :
                    $post_key = 'moove_gdpr_advanced_cookies_footer_scripts';
                    if ( isset( $_POST[ $post_key ] ) && strlen( sanitize_text_field( $_POST[ $post_key ] ) ) == 0 ) :
                        $empty_scripts = true;
                    endif;
                endif;
                if ( ! $empty_scripts ) :
                    $gdpr_options['moove_gdpr_advanced_cookies_enable'] = $value;
                    update_option( $option_name, $gdpr_options );
                    $gdpr_options = get_option( $option_name );
                    foreach ( $_POST as $form_key => $form_value ) :
                        if ( $form_key === 'moove_gdpr_advanced_cookies_tab_content' ) :
                            $value  = apply_filters( 'the_content', wp_unslash( $form_value ) );
                            $gdpr_options[$form_key] = $value;
                            update_option( $option_name, $gdpr_options );
                            $gdpr_options = get_option( $option_name );
                        elseif ( $form_key === 'moove_gdpr_advanced_cookies_footer_scripts' ) :
                            $value                      = wp_unslash( $form_value );
                            $gdpr_options[$form_key]    = maybe_serialize( $value );
                            update_option( $option_name, $gdpr_options );
                            $gdpr_options               = get_option( $option_name );
                        elseif ( $form_key !== 'moove_gdpr_advanced_cookies_enable' ) :
                            $value  = sanitize_text_field( $form_value );
                            $gdpr_options[$form_key] = $value;
                            update_option( $option_name, $gdpr_options );
                            $gdpr_options = get_option( $option_name );
                        endif;
                    endforeach;
                endif;
            endif;
            ?>
            <?php if ( $empty_scripts ) : ?>
                <script>
                    jQuery('#moove-gdpr-setting-error-settings_updated').hide();
                    jQuery('#moove-gdpr-setting-error-settings_scripts_empty').show();
                </script>

            <?php else : ?>
                <script>
                    jQuery('#moove-gdpr-setting-error-settings_scripts_empty').hide();
                    jQuery('#moove-gdpr-setting-error-settings_updated').show();
                </script>
            <?php endif;
        endif;
    endif;
?>
<br />
<?php
    $nav_label  = isset( $gdpr_options['moove_gdpr_advanced_cookies_tab_title'] ) && $gdpr_options['moove_gdpr_advanced_cookies_tab_title'] ? $gdpr_options['moove_gdpr_advanced_cookies_tab_title'] : __('Additional Cookies','moove-gdpr');
?>
<h2><?php echo $nav_label; ?></h2>
<hr />
<form action="?page=moove-gdpr&amp;tab=advanced_cookies" method="post" id="moove_gdpr_tab_advanced_cookies">
    <?php wp_nonce_field( 'moove_gdpr_nonce_field', 'moove_gdpr_nonce' ); ?>
    <table class="form-table <?php echo $empty_scripts ? 'moove-gdpr-form-error' : ''; ?>">
        <tbody>
            <tr>
                <th scope="row">
                    <label for="moove_gdpr_advanced_cookies_enable">Turn</label>
                </th>
                <td>
                    <input name="moove_gdpr_advanced_cookies_enable" type="radio" value="1" id="moove_gdpr_advanced_cookies_enable_on" <?php echo isset( $gdpr_options['moove_gdpr_advanced_cookies_enable'] ) ? ( intval( $gdpr_options['moove_gdpr_advanced_cookies_enable'] ) === 1  ? 'checked' : '' ) : 'checked'; ?> class="regular-text on-off"> <label for="moove_gdpr_advanced_cookies_enable_on">On</label> <span class="separator"></span>
                    <input name="moove_gdpr_advanced_cookies_enable" type="radio" value="0" id="moove_gdpr_advanced_cookies_enable_off" <?php echo isset( $gdpr_options['moove_gdpr_advanced_cookies_enable'] ) ? ( intval( $gdpr_options['moove_gdpr_advanced_cookies_enable'] ) === 0  ? 'checked' : '' ) : 'checked'; ?> class="regular-text on-off"> <label for="moove_gdpr_advanced_cookies_enable_off">Off</label>
                </td>
            </tr>

            <tr>
                <th scope="row">
                    <label for="moove_gdpr_advanced_cookies_tab_title">Tab Title</label>
                </th>
                <td>
                    <input name="moove_gdpr_advanced_cookies_tab_title" type="text" id="moove_gdpr_advanced_cookies_tab_title" value="<?php echo isset( $gdpr_options['moove_gdpr_advanced_cookies_tab_title'] ) && $gdpr_options['moove_gdpr_advanced_cookies_tab_title'] ? $gdpr_options['moove_gdpr_advanced_cookies_tab_title'] : __('Additional Cookies','moove-gdpr'); ?>" class="regular-text">
                </td>
            </tr>

            <tr>
                <th scope="row" colspan="2" style="padding-bottom: 0;">
                    <label for="moove_gdpr_advanced_cookies_tab_content">Tab Content</label>
                </th>
            </tr>
            <tr class="moove_gdpr_table_form_holder">
                <th colspan="2" scope="row">
                    <?php
                        $content =  isset( $gdpr_options['moove_gdpr_advanced_cookies_tab_content'] ) && $gdpr_options['moove_gdpr_advanced_cookies_tab_content'] ? maybe_unserialize( $gdpr_options['moove_gdpr_advanced_cookies_tab_content'] ) : false;
                        if ( ! $content ) :
                            $content    = Moove_GDPR_Content::moove_gdpr_get_advanced_cookies_content();
                        endif;
                        ?>
                    <?php
                        $settings = array (
                            'media_buttons'     =>  false,
                            'editor_height'     =>  150,
                        );
                        wp_editor( $content, 'moove_gdpr_advanced_cookies_tab_content', $settings );
                    ?>
                </th>
            </tr>

            <tr>
                <th scope="row" colspan="2" style="padding-bottom: 0;">
                    <label for="moove_gdpr_advanced_cookies_footer_scripts">The below script will be added to the page if user enables this cookie.</label>
                </th>
            </tr>
            <tr class="moove_gdpr_advanced_cookies_footer_scripts">
                <th scope="row" colspan="2">
                    <?php $content =  isset( $gdpr_options['moove_gdpr_advanced_cookies_footer_scripts'] ) && $gdpr_options['moove_gdpr_advanced_cookies_footer_scripts'] ? wp_unslash( $gdpr_options['moove_gdpr_advanced_cookies_footer_scripts'] ) : '';
                    ?>
                    <textarea name="moove_gdpr_advanced_cookies_footer_scripts" id="moove_gdpr_advanced_cookies_footer_scripts" class="large-text code" rows="13"><?php echo $content; ?></textarea>
                    <p class="description" id="moove_gdpr_advanced_cookies_footer_scripts-description">For example, you can use it for Google Analytics script or any other 3rd party code snippets.</p>
                </th>
            </tr>
        </tbody>
    </table>

    <hr />
    <br />
    <button type="submit" class="button button-primary">Save changes</button>
</form>