<?php
    $option_name    = 'moove_gdpr_plugin_settings';
    $gdpr_options   = get_option( $option_name );
    $gdpr_options   = is_array( $gdpr_options ) ? $gdpr_options : array();
    if ( isset( $_POST ) && $_POST['moove_gdpr_nonce'] ) :
        $nonce = sanitize_key( $_POST['moove_gdpr_nonce'] );
        if ( ! wp_verify_nonce( $nonce, 'moove_gdpr_nonce_field' ) ) :
            die( 'Security check' );
        else :
            if ( is_array( $_POST ) ) :
                if ( isset( $_POST['moove_gdpr_floating_button_enable'] ) ) :
                    $value  = 1;
                else :
                    $value  = 0;
                endif;
                $gdpr_options['moove_gdpr_floating_button_enable'] = $value;
                update_option( $option_name, $gdpr_options );
                $gdpr_options = get_option( $option_name );
                foreach ( $_POST as $form_key => $form_value ) :
                    if ( $form_key === 'moove_gdpr_info_bar_content' ) :
                        $form_value = wp_strip_all_tags( $form_value );
                        $value  = apply_filters( 'the_content', $form_value );
                        $gdpr_options[$form_key] = $value;
                        update_option( $option_name, $gdpr_options );
                        $gdpr_options = get_option( $option_name );
                    elseif ( $form_key !== 'moove_gdpr_floating_button_enable' ) :
                        $value  = sanitize_text_field( $form_value );
                        $gdpr_options[$form_key] = $value;
                        update_option( $option_name, $gdpr_options );
                        $gdpr_options = get_option( $option_name );
                    endif;
                endforeach;
            endif;
            ?>
                <script>
                    jQuery('#moove-gdpr-setting-error-settings_updated').show();
                </script>
            <?php
        endif;
    endif;
?>
<br />
<form action="?page=moove-gdpr&amp;tab=general_settings" method="post" id="moove_gdpr_tab_general_settings">
    <h2>Modal General Settings</h2>
    <hr />
    <?php wp_nonce_field( 'moove_gdpr_nonce_field', 'moove_gdpr_nonce' ); ?>
    <table class="form-table">
        <tbody>

            <tr>
                <th scope="row">
                    <label for="moove_gdpr_brand_colour">Brand Primary Colour</label>
                </th>
                <td>
                    <input class="jscolor {hash:true} regular-text" name="moove_gdpr_brand_colour" value="<?php echo isset( $gdpr_options['moove_gdpr_brand_colour'] ) && $gdpr_options['moove_gdpr_brand_colour'] ? $gdpr_options['moove_gdpr_brand_colour'] : '0C4DA2'; ?>" >
                </td>
            </tr>

            <tr>
                <th scope="row">
                    <label for="moove_gdpr_brand_secondary_colour">Brand Secondary Colour</label>
                </th>
                <td>
                    <input class="jscolor {hash:true} regular-text" name="moove_gdpr_brand_secondary_colour" value="<?php echo isset( $gdpr_options['moove_gdpr_brand_secondary_colour'] ) && $gdpr_options['moove_gdpr_brand_secondary_colour'] ? $gdpr_options['moove_gdpr_brand_secondary_colour'] : '000000'; ?>" >
                </td>
            </tr>

            <tr>
                <th scope="row">
                    <label for="moove_gdpr_company_logo">Modal Logo</label>
                    <p class="description">Recommended size:<br>130 x 50 pixels</p>
                    <!--  .description -->
                </th>
                <td>
                    <?php
                        if ( function_exists( 'wp_enqueue_media' ) ) :
                            wp_enqueue_media();
                        else:
                            wp_enqueue_style('thickbox');
                            wp_enqueue_script('media-upload');
                            wp_enqueue_script('thickbox');
                        endif;
                    ?>
                    <?php
                    $plugin_dir = moove_gdpr_get_plugin_directory_url();
                    $image_url = isset( $gdpr_options['moove_gdpr_company_logo'] ) && $gdpr_options['moove_gdpr_company_logo'] ? $gdpr_options['moove_gdpr_company_logo'] : $plugin_dir.'dist/images/moove-logo.png';
                    ?>
                    <span class="moove_gdpr_company_logo_holder" style="background-image: url(<?php echo $image_url; ?>);"></span><br /><br />
                    <input class="regular-text code" type="text" name="moove_gdpr_company_logo" value="<?php echo $image_url; ?>" required> <br /><br />
                    <a href="#" class="button moove_gdpr_company_logo_upload">Upload Logo</a>
                    <script>
                        jQuery(document).ready(function($) {
                            $('.moove_gdpr_company_logo_upload').click(function(e) {
                                e.preventDefault();

                                var custom_uploader = wp.media({
                                    title: 'GDPR Modal - Company Logo',
                                    button: {
                                        text: 'Upload Logo'
                                    },
                                    multiple: false  // Set this to true to allow multiple files to be selected
                                })
                                .on('select', function() {
                                    var attachment = custom_uploader.state().get('selection').first().toJSON();
                                    $('.moove_gdpr_company_logo_holder').css('background-image', 'url('+attachment.url+')');
                                    $('input[name=moove_gdpr_company_logo]').val(attachment.url);

                                })
                                .open();
                            });
                        });
                    </script>
                </td>
            </tr>

            <tr>
                <th scope="row">
                    <label for="moove_gdpr_modal_save_button_label">Save Settings - Button Label</label>
                </th>
                <td>
                    <input name="moove_gdpr_modal_save_button_label" type="text" id="moove_gdpr_modal_save_button_label" value="<?php echo isset( $gdpr_options['moove_gdpr_modal_save_button_label'] ) && $gdpr_options['moove_gdpr_modal_save_button_label'] ? $gdpr_options['moove_gdpr_modal_save_button_label'] : __('Save Changes','moove-gdpr'); ?>" class="regular-text">
                </td>
            </tr>

            <tr>
                <th scope="row">
                    <label for="moove_gdpr_modal_allow_button_label">Enable All - Button Label</label>
                </th>
                <td>
                    <input name="moove_gdpr_modal_allow_button_label" type="text" id="moove_gdpr_modal_allow_button_label" value="<?php echo isset( $gdpr_options['moove_gdpr_modal_allow_button_label'] ) && $gdpr_options['moove_gdpr_modal_allow_button_label'] ? $gdpr_options['moove_gdpr_modal_allow_button_label'] : __('Enable All','moove-gdpr'); ?>" class="regular-text">
                </td>
            </tr>

        </tbody>
    </table>
    <br />
    <hr />
    <h2>Cookie Info Bar Settings</h2>
    <hr />

    <table class="form-table">
        <tbody>
            <tr>
                <th scope="row" colspan="2" style="padding-bottom: 0;">
                    <label for="moove_gdpr_info_bar_content">Infobar Content</label>
                </th>
            </tr>
            <tr class="moove_gdpr_table_form_holder">
                <th colspan="2" scope="row">
                    <?php
                        $content =  isset( $gdpr_options['moove_gdpr_info_bar_content'] ) && $gdpr_options['moove_gdpr_info_bar_content'] ? maybe_unserialize( $gdpr_options['moove_gdpr_info_bar_content'] ) : false;
                        if ( ! $content ) :
                            $_content   = "<p>We are using cookies to give you the best experience on our website.</p><p>You can find out more about which cookies we are using or switch them off in [setting]settings[/setting].</p>";
                            $content    = apply_filters( 'the_content', $_content );
                        endif;
                        ?>
                    <?php
                        $settings = array (
                            'media_buttons'     =>  false,
                            'editor_height'     =>  150,
                            'teeny'             =>  true
                        );
                        wp_editor( $content, 'moove_gdpr_info_bar_content', $settings );
                    ?>
                    <p class="description">You can use the following shortcut to link the settings modal:<br><span><strong>[setting]</strong>settings<strong>[/setting]</strong></span></p>
                </th>
            </tr>
            <tr>
                <th scope="row">
                    <label for="moove_gdpr_infobar_accept_button_label">Accept - Button Label</label>
                </th>
                <td>
                    <input name="moove_gdpr_infobar_accept_button_label" type="text" id="moove_gdpr_infobar_accept_button_label" value="<?php echo isset( $gdpr_options['moove_gdpr_infobar_accept_button_label'] ) && $gdpr_options['moove_gdpr_infobar_accept_button_label'] ? $gdpr_options['moove_gdpr_infobar_accept_button_label'] : __('Accept','moove-gdpr'); ?>" class="regular-text">
                </td>
            </tr>

            <tr>
                <th scope="row">
                    <label for="moove_gdpr_colour_scheme">Colour scheme</label>
                </th>
                <td>
                    <fieldset>
                        <legend class="screen-reader-text"><span>Enable</span></legend>
                            <input name="moove_gdpr_colour_scheme" type="radio" <?php echo isset( $gdpr_options['moove_gdpr_colour_scheme'] ) ? ( intval( $gdpr_options['moove_gdpr_colour_scheme'] ) === 1  ? 'checked' : ( ! isset( $gdpr_options['moove_gdpr_colour_scheme'] ) ? 'checked' : '' ) ) : 'checked'; ?> id="moove_gdpr_colour_scheme_dark" value="1">
                            <label for="moove_gdpr_colour_scheme_dark">Dark</label> <br>

                            <input name="moove_gdpr_colour_scheme" type="radio" <?php echo isset( $gdpr_options['moove_gdpr_colour_scheme'] ) ? ( intval( $gdpr_options['moove_gdpr_colour_scheme'] ) === 2  ? 'checked' : '' ) : ''; ?> id="moove_gdpr_colour_scheme_light" value="2">
                            <label for="moove_gdpr_colour_scheme_light">Light</label>
                    </fieldset>
                </td>
            </tr>

        </tbody>
    </table>

    <br />
    <hr />
    <h2>Change Settings - Floating Button</h2>
    <hr />

    <table class="form-table">
        <tbody>
            <tr>
                <th scope="row">
                    <label for="moove_gdpr_floating_button_enable">Enable Floating Button</label>
                </th>
                <td>
                    <fieldset>
                        <legend class="screen-reader-text"><span>Enable</span></legend>
                        <label for="moove_gdpr_floating_button_enable">
                            <input name="moove_gdpr_floating_button_enable" type="checkbox" <?php echo isset( $gdpr_options['moove_gdpr_floating_button_enable'] ) ? ( intval( $gdpr_options['moove_gdpr_floating_button_enable'] ) === 1  ? 'checked' : '' ) : ''; ?> id="moove_gdpr_floating_button_enable" value="1">
                            Enable</label>
                    </fieldset>
                </td>
            </tr>

            <tr>
                <th scope="row">
                    <label for="moove_gdpr_floating_button_label">Button - Hover Label</label>
                </th>
                <td>
                    <input name="moove_gdpr_floating_button_label" type="text" id="moove_gdpr_floating_button_label" value="<?php echo isset( $gdpr_options['moove_gdpr_floating_button_label'] ) && $gdpr_options['moove_gdpr_floating_button_label'] ? $gdpr_options['moove_gdpr_floating_button_label'] : __('Change cookie settings','moove-gdpr'); ?>" class="regular-text">
                </td>
            </tr>

            <tr>
                <th scope="row">
                    <label for="moove_gdpr_floating_button_position">Button - Custom CSS</label>
                </th>
                <td>
                    <input name="moove_gdpr_floating_button_position" type="text" id="moove_gdpr_floating_button_position" value="<?php echo isset( $gdpr_options['moove_gdpr_floating_button_position'] ) && $gdpr_options['moove_gdpr_floating_button_position'] ? $gdpr_options['moove_gdpr_floating_button_position'] : 'bottom: 20px; left: 20px;'; ?>" class="regular-text">
                    <p class="description" id="moove_gdpr_floating_button_position-description">You can align the position eg.: <strong>top: 20px; right: 20px;</strong></p>
                </td>
            </tr>

        </tbody>
    </table>

    <br />
    <hr />
    <br />
    <button type="submit" class="button button-primary">Save changes</button>
</form>