<?php
    $option_name    = 'moove_gdpr_plugin_settings';
    $gdpr_options   = get_option( $option_name );
    $gdpr_options   = is_array( $gdpr_options ) ? $gdpr_options : array();
    if ( isset( $_POST ) && $_POST['moove_gdpr_nonce'] ) :
        $nonce = sanitize_key( $_POST['moove_gdpr_nonce'] );
        if ( ! wp_verify_nonce( $nonce, 'moove_gdpr_nonce_field' ) ) :
            die( 'Security check' );
        else :
            if ( is_array( $_POST ) ) :
                foreach ( $_POST as $form_key => $form_value ) :
                    if ( $form_key === 'moove_gdpr_strict_necessary_cookies_tab_content' ) :
                        $value  = apply_filters( 'the_content', wp_unslash( $form_value ) );
                        $gdpr_options[$form_key] = $value;
                        update_option( $option_name, $gdpr_options );
                        $gdpr_options = get_option( $option_name );
                    elseif ( $form_key !== 'moove_gdpr_strictly_necessary_cookies_enable' ) :
                        $value  = sanitize_text_field( $form_value );
                        $gdpr_options[$form_key] = $value;
                        update_option( $option_name, $gdpr_options );
                        $gdpr_options = get_option( $option_name );
                    endif;
                endforeach;
            endif;
            ?>
                <script>
                    jQuery('#moove-gdpr-setting-error-settings_updated').show();
                </script>
            <?php
        endif;
    endif;
?>
<br />
<?php
    $nav_label  = isset( $gdpr_options['moove_gdpr_strictly_necessary_cookies_tab_title'] ) && $gdpr_options['moove_gdpr_strictly_necessary_cookies_tab_title'] ? $gdpr_options['moove_gdpr_strictly_necessary_cookies_tab_title'] : __('Strictly Necessary Cookies','moove-gdpr');
?>
<h2><?php echo $nav_label; ?></h2>
<hr />
<form action="?page=moove-gdpr&amp;tab=strictly_necessary_cookies" method="post" id="moove_gdpr_tab_strictly_necessary_cookies">
    <?php wp_nonce_field( 'moove_gdpr_nonce_field', 'moove_gdpr_nonce' ); ?>
    <table class="form-table">
        <tbody>
            <tr>
                <th scope="row">
                    <label for="moove_gdpr_strictly_necessary_cookies_tab_title">Tab Title</label>
                </th>
                <td>
                    <input name="moove_gdpr_strictly_necessary_cookies_tab_title" type="text" id="moove_gdpr_strictly_necessary_cookies_tab_title" value="<?php echo isset( $gdpr_options['moove_gdpr_strictly_necessary_cookies_tab_title'] ) && $gdpr_options['moove_gdpr_strictly_necessary_cookies_tab_title'] ? $gdpr_options['moove_gdpr_strictly_necessary_cookies_tab_title'] : __('Strictly Necessary Cookies','moove-gdpr'); ?>" class="regular-text">
                </td>
            </tr>

            <tr>
                <th scope="row" colspan="2" style="padding-bottom: 0;">
                    <label for="moove_gdpr_strict_necessary_cookies_tab_content">Tab Content</label>
                </th>
            </tr>
            <tr class="moove_gdpr_table_form_holder">
                <th colspan="2" scope="row">
                    <?php
                        $content =  isset( $gdpr_options['moove_gdpr_strict_necessary_cookies_tab_content'] ) && $gdpr_options['moove_gdpr_strict_necessary_cookies_tab_content'] ? wp_unslash( $gdpr_options['moove_gdpr_strict_necessary_cookies_tab_content'] ) : false;
                        if ( ! $content ) :
                            $content    = Moove_GDPR_Content::moove_gdpr_get_strict_necessary_content();
                        endif;
                        ?>
                    <?php
                        $settings = array (
                            'media_buttons'     =>  false,
                            'editor_height'     =>  150,
                        );
                        wp_editor( $content, 'moove_gdpr_strict_necessary_cookies_tab_content', $settings );
                    ?>
                </th>
            </tr>

            <tr>
                <th scope="row" style="padding-bottom: 0;" colspan="2">
                    <label for="moove_gdpr_strictly_necessary_cookies_warning">Tab Warning Message</label>
                </th>
            </tr>
            <tr>
                <th style="padding-top: 10px;"  colspan="2">
                    <?php $content = isset( $gdpr_options['moove_gdpr_strictly_necessary_cookies_warning'] ) && $gdpr_options['moove_gdpr_strictly_necessary_cookies_warning'] ? $gdpr_options['moove_gdpr_strictly_necessary_cookies_warning'] : Moove_GDPR_Content::moove_gdpr_get_strict_necessary_warning(); ?>
                    <textarea name="moove_gdpr_strictly_necessary_cookies_warning" id="moove_gdpr_strictly_necessary_cookies_warning" class="large-text code" style="width: 570px; font-size: 12px;" rows="3"><?php echo $content; ?></textarea>
                    <p class="description" id="moove_gdpr_strictly_necessary_cookies_warning-description">Will be displayed below the Checkbox in the front-end!</p>
                </th>
            </tr>
        </tbody>
    </table>

    <hr />
    <br />
    <button type="submit" class="button button-primary">Save changes</button>
</form>